GUIX(1)

NAME
guix - manual page for guix system (GNU Guix) 1.0.0

SYNOPSIS
guix system [OPTION ...] ACTION [ARG ...] [FILE]

DESCRIPTION
Build the operating system declared in FILE according to ACTION. Some ACTIONS support additional ARGS.

The valid values for ACTION are:

search
    search for existing service types

reconfigure
    switch to a new operating system configuration

roll-back
    switch to the previous operating system configuration

    list-generations list the system generations switch-generation switch to an existing operating system configuration delete-generations delete old system generations build build the operating system without installing anything container build a container that shares the host's store vm build a virtual machine image that shares the host's store vm-image build a freestanding virtual machine image disk-image build a disk image, suitable for a USB stick docker-image build a Docker image init initialize a root file system to run GNU extension-graph emit the service extension graph in Dot format shepherd-graph emit the graph of shepherd services in Dot format

-L, --load-path=DIR
    prepend DIR to the package module search path

-K, --keep-failed
    keep build tree of failed builds

-k, --keep-going
    keep going when some of the derivations fail

-n, --dry-run
    do not build the derivations

--fallback
    fall back to building when the substituter fails

--no-substitutes
    build instead of resorting to pre-built substitutes

--substitute-urls=URLS
    fetch substitute from URLS if they are authorized

--no-grafts
    do not graft packages

--no-build-hook
    do not attempt to offload builds via the build hook

--max-silent-time=SECONDS
    mark the build as failed after SECONDS of silence

--timeout=SECONDS
    mark the build as failed after SECONDS of activity

--rounds=N
    build N times in a row to detect non-determinism

-c, --cores=N
    allow the use of up to N CPU cores for the build

-M, --max-jobs=N
    allow at most N build jobs

--debug=LEVEL
    produce debugging output at LEVEL

-d, --derivation
    return the derivation of the given system

-e, --expression=EXPR
    consider the operating-system EXPR evaluates to instead of reading FILE, when applicable

--on-error=STRATEGY
    apply STRATEGY (one of nothing-special, backtrace, or debug) when an error occurs while reading FILE

--file-system-type=TYPE
    for 'disk-image', produce a root file system of TYPE (one of 'ext4', 'iso9660')

--image-size=SIZE
    for 'vm-image', produce an image of SIZE

--no-bootloader
    for 'init', do not install a bootloader

--share=SPEC
    for 'vm', share host file system according to SPEC

-r, --root=FILE
    for 'vm', 'vm-image', 'disk-image', 'container', and 'build', make FILE a symlink to the result, and register it as a garbage collector root

--expose=SPEC
    for 'vm', expose host file system according to SPEC

--full-boot
    for 'vm', make a full boot sequence

--skip-checks
    skip file system and initrd module safety checks

-v, --verbosity=LEVEL
    use the given verbosity LEVEL

-h, --help
    display this help and exit

-V, --version
    display version information and exit

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <https://www.gnu.org/software/guix/>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2019 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix is maintained as a Texinfo manual. If the info and guix programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.